curl --request GET \
--url https://commerce.driv.ly/api/holidaysimport requests
url = "https://commerce.driv.ly/api/holidays"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://commerce.driv.ly/api/holidays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"date": "2023-12-25",
"name": "<string>"
}
],
"success": true,
"page": 2,
"nextPage": 3,
"prevPage": 1,
"totalPages": 3,
"totalCount": 25,
"limit": 10,
"pagingCounter": 11,
"hasPrevPage": true,
"hasNextPage": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Get Holidays
Query Parameters
Pass the name of a top-level field to sort by that field in ascending order. Prefix the name of the field with a minus symbol ("-") to sort in descending order.
Limit number of results, default 10
Search for results fitting criteria, uses qs library for query string parsing
Show child attributes
Show child attributes
The number of levels of related objects to include in the response
Response
Holidays Found
Show child attributes
Show child attributes
Current page number
2
number of next page, null if it doesn't exist
3
number of previous page, null if it doesn't exist
1
Total pages available, based upon the limit
3
Total available records within the database
25
Limit query parameter, defaults to 10
10
number of the first record on the current page
11
true/false if previous page exists
true
true/false if next page exists
true